clc;
clear;

hc=1240;

cc=0.812;
n1 = 2;
n2 = 1.473;
t1 = cc*0.25/n1;
t2 = cc*0.25/n2;

cc2=0.700;

n12 = 2.32;
n22 = 1.42;

t12 = cc2*0.25/n12;
t22 = cc2*0.25/n22;

[wl,R0]=TMM_return_all(1,1,{
'A_[1000]_[1.45]_1';
append('D_[',char(num2str(cc*1000)),']_[',num2str(n1),',',num2str(n2),']_10');
append('A_[100]_[',num2str(n1),']_1');
append('A_[70]_[',num2str(n2),']_1');
'A_[19.8]_[1.7]_1';
'A_[1]_[WSe2.txt]_1';
'A_[19.5]_[1.7]_1';
'A_[95]_[1.48]_1';
append('D_[',char(num2str(cc2*1000)),']_[',num2str(n12),',',num2str(n22),']_9');
append('A_[',num2str(t12*1000),']_[',num2str(n12),']_1');
},'TE',[680,790,500],0,0);  


E_whole = 1240./wl;
figure1 = figure(2);
axes1 = axes('Parent',figure1);
box(axes1,'on');
hold(axes1,'on');
etar = 0.8;

hold on
RC_cavity_sim = (R0-1)*etar;
% plot(E_cavity,RC_cavity,'Linewidth',3,'color','b');
plot(E_whole,RC_cavity_sim, '--','Linewidth',2.5, 'Color', 'red');

xlim([1.55, 1.85]);
ylim([-0.71, 0.12]);

legend("Simulated",'Location','southwest', 'Interpreter', 'latex')
legend boxoff  
xlabel('Energy (ev)');
ylabel('Reflectance Contrast');

set(gca,'FontSize',30)
set(axes1,'FontName','Times','FontSize',30,'TickDir','out');
set(gcf, 'Position', [0, 100, 1000, 800]);
%%
[wl,R0]=TMM_return_all(1,1,{
'A_[1000]_[1.45]_1';
append('D_[',char(num2str(cc*1000)),']_[',num2str(n1),',',num2str(n2),']_10');
append('A_[100]_[',num2str(n1),']_1');
append('A_[70]_[',num2str(n2),']_1');
'A_[19.8]_[1.7]_1';
'A_[1]_[WSe2.txt]_1';
'A_[19.5]_[1.7]_1';
'A_[95]_[1.48]_1';
append('D_[',char(num2str(cc2*1000)),']_[',num2str(n12),',',num2str(n22),']_9');
append('A_[',num2str(t12*1000),']_[',num2str(n12),']_1');
},'TE',[740,745,1000],0,742.39);

E_whole = 1240./wl;

figure;
plot(wl,R0)