clc;
clear

%%SiN/SiO2 DBR
cc=0.812;
n1 = 2;
n2 = 1.473;
t1 = cc*0.25/n1;
t2 = cc*0.25/n2;
[wl,R0]=TMM_return_all(1.2,1.45,{
append('A_[70]_[',num2str(n2),']_1');
append('A_[100]_[',num2str(n1),']_1');
append('D_[',char(num2str(cc*1000)),']_[',num2str(n2),',',num2str(n1),']_10');
},'TE',[600,850,1000],0,0);

figure(3)
BotDBR_simE = 1240./wl;
BotDBR_simR = R0;

plot(BotDBR_simE,BotDBR_simR,'Linewidth',3,'color','b');
xlim([1.5846, 1.8356]);

%% ZnS/MgF2 DBR
cc2=0.700;
n12 = 2.32;
n22 = 1.42;

t12 = cc2*0.25/n12;
t22 = cc2*0.25/n22;

[wl,R0]=TMM_return_all(1,1,{
append('A_[',num2str(t12*1000),']_[',num2str(n12),']_1');
append('D_[',char(num2str(cc2*1000)),']_[',num2str(n22),',',num2str(n12),']_9');
},'TE',[400,1000,1000],0,0);

figure(4)
TopDBR_simE = 1240./wl;
TopDBR_simR = R0;

plot(TopDBR_simE,TopDBR_simR,'Linewidth',3,'color','b');
xlim([1.5846, 1.8356]);