function [ n_vals ] = get_n_lambda( files, lambda )
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here
n_vals = [];
for i = 1:1:length(files)
    filename = files{i};
    A = csvread(filename);
    lambda_range = A(:,1);
    n_range = A(:,2);
    k_range = A(:,3);
    if lambda<min(lambda_range) || lambda>max(lambda_range)
        error('Interpolating outside of provided data range!');
    end
    n = interp1(lambda_range,n_range,lambda);
    k = interp1(lambda_range,k_range,lambda);
    n_vals = [n_vals, n+1i*k];

end

