function [ E ] = plot_elec( I_elec, L_elec, t_elec, n_elec, lambda_elec, ni, theta_i )
%UNTITLED14 Summary of this function goes here
%   Detailed explanation goes here

N = 1/1000;
n_plot = [];
E= [];

for i = 1:1:length(n_elec) %Compute E in ith layer
    t = t_elec(i);
    n = n_elec(i);
    q = sqrt(n^2 - ni^2*sin(theta_i)^2);
    xi = 2*pi*q/lambda_elec;
    z = 0:N:t;
    Sp = eye(2);
    Spp = eye(2);
    for ii =1:1:(i-1)
        Sp = Sp*get_matrix(I_elec,ii)*get_matrix(L_elec,ii);
    end
    Sp = Sp*get_matrix(I_elec,i);
    for iii = (i+1):1:length(n_elec)
        Spp = Spp*get_matrix(I_elec,iii)*get_matrix(L_elec,iii);
    end
    Spp = Spp * get_matrix(I_elec,length(n_elec)+1);

    E_layer = ((Spp(1,1)*exp(-1i*xi*(t-z)) + Spp(2,1)*exp(1i*xi*(t-z)))/...
        (Sp(1,1)*Spp(1,1)*exp(-1i*xi*t) + Sp(1,2)*Spp(2,1)*exp(1i*xi*t)));
    E_layer = abs(E_layer).^2;

%     E_layer = ((Spp(2,1)*exp(1i*xi*(t-z)))/...
%         (Sp(1,1)*Spp(1,1)*exp(-1i*xi*t) + Sp(1,2)*Spp(2,1)*exp(1i*xi*t)));
%     E_layer = (angle(E_layer)/3.14159265);

    E = [E, E_layer];
    
    n_plot = [n_plot, n*ones(5)];
end
figure;
plot(E);
%figure;
%plot(n_plot);


end



