function [ ] = plot_lambda( R,T, theta0, lambda0 )
%UNTITLED13 Summary of this function goes here
%   Detailed explanation goes here
if theta0 == -1
    fixed_quantity = lambda0;
elseif lambda0 == -1
    fixed_quantity = theta0;
else
    error('Error in choosing fixed quantity lambda0 or theta0');
end

figure;
    subplot(2,2,1);
    plot(R(:,1),1-(R(:,2)+T(:,2)))
    ylim([0,1])
    title('A = 1-(R+T)')
    subplot(2,2,2);
    plot(R(:,1),T(:,2))
    ylim([0,1])
    title('T')
    subplot(2,2,[3,4]);
    plot(R(:,1),R(:,2))
    ylim([0,1])
    if theta0 == -1
        title(['R, \lambda = ',num2str(fixed_quantity)])
    elseif lambda0 == -1
        title(['R, \theta = ',num2str(fixed_quantity)])
    end
    
end

