function [ R_data, T_data, I_elec, L_elec, t_elec, n_elec ] = sweep_lambda( ni, nt, polarization, stack, ...
    lambda_min, lambda_max, lambda_step, theta_i, lambda_elec )
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here
counter = 0;
count_var = lambda_min; % (lambda_max-lambda_min)/10;
numstar = 1;

R_data = [];
T_data = [];
S = eye(2);

for lambda = lambda_min:lambda_step:lambda_max
%for lambda = lambda_min:lambda_step:lambda_min
    S = eye(2);
    [n,t] = preprocess_stack(stack, lambda);
    L = compute_L_matrices(lambda, n, t, ni, theta_i);
    I = compute_I_matrices(n, polarization, ni, theta_i);
    I01 = compute_I_matrices([ni,n(1)], polarization, ni, theta_i);
    If = compute_I_matrices([n(end),nt], polarization, ni, theta_i);
    I = [I01, I, If];
    for m = 1:1:length(n)
        S = S*get_matrix(I,m)*get_matrix(L,m);
    end
    S = S * get_matrix(I,length(n)+1);
    r = S(2,1)/S(1,1);
    trans = 1/S(1,1);
    R = abs(r)^2;
%     R = mod(angle(r), 2*pi)/pi; %phase
    
    %PUT ANGULAR THING IN T DEFINITION
    %T = abs((sqrt(nt^2 - ni^2*sin(theta_i)))/(ni*(cos(theta_i))))^2*abs(trans)^2;
    T = sqrt(nt^2 - ni^2*sin(theta_i)^2)/(ni*cos(theta_i))*abs(trans)^2;
    %T = abs(trans)^2;
    R_data = [R_data;[lambda,R]];
    T_data = [T_data;[lambda,T]];
    if lambda == lambda_elec
        I_elec = I;
        L_elec = L;
        t_elec = t;
        n_elec = n;
    end
    if lambda > count_var
        msg = ['[' repmat('*',1,numstar) repmat(' ',1,10-numstar) ']'];
        fprintf(repmat('\b',1,counter));
        fprintf(msg);
        counter=numel(msg);
        count_var = count_var + (lambda_max-lambda_min)/10;
        numstar = numstar + 1;
    end
end
fprintf('\n');
if lambda_elec==0
        I_elec = 0;
        L_elec = 0;
        t_elec = 0;
        n_elec = 0;
end
if ~ismember(lambda_elec,lambda_min:lambda_step:lambda_max) && lambda_elec~=0
    error('lambda_elec is not in lambda range (must exactly coincide!)');
end

end
