function [ R_data, T_data, I_elec, L_elec, t_elec, n_elec ] = sweep_theta( ni, nt, polarization, stack, ...
    theta_min, theta_max, theta_step, lambda_i, theta_elec )
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here
counter = 0;
count_var = theta_min; % (lambda_max-lambda_min)/10;
numstar = 1;

R_data = [];
T_data = [];
S = eye(2);

for theta = theta_min:theta_step:theta_max
%for lambda = lambda_min:lambda_step:lambda_min
    S = eye(2);
    [n,t] = preprocess_stack(stack, lambda_i);
    L = compute_L_matrices(lambda_i, n, t, ni, theta);
    I = compute_I_matrices(n, polarization, ni, theta);
    I01 = compute_I_matrices([ni,n(1)], polarization, ni, theta);
    If = compute_I_matrices([n(end),nt], polarization, ni, theta);
    I = [I01, I, If];
    for m = 1:1:length(n)
        S = S*get_matrix(I,m)*get_matrix(L,m);
    end
    S = S * get_matrix(I,length(n)+1);
    r = S(2,1)/S(1,1);
    trans = 1/S(1,1);
    R = abs(r)^2;
    
    %PUT ANGULAR THING IN T DEFINITION
    T = sqrt(nt^2 - ni^2*sin(theta)^2)/(ni*cos(theta))*abs(trans)^2;
    R_data = [R_data;[theta,R]];
    T_data = [T_data;[theta,T]];
    if theta == theta_elec
        I_elec = I;
        L_elec = L;
        t_elec = t;
        n_elec = n;
    end
    if theta > count_var
        msg = ['[' repmat('*',1,numstar) repmat(' ',1,10-numstar) ']'];
        fprintf(repmat('\b',1,counter));
        fprintf(msg);
        counter=numel(msg);
        count_var = count_var + (theta_max-theta_min)/10;
        numstar = numstar + 1;
    end
end
fprintf('\n');
if theta_elec==0
        I_elec = 0;
        L_elec = 0;
        t_elec = 0;
        n_elec = 0;
end
if ~ismember(theta_elec,theta_min:theta_step:theta_max) && theta_elec~=0
    error('theta_elec is not in lambda range (must exactly coincide!)');
end
end

