function [ I ] = compute_I_matrices( n_vals, polarization, ni, theta_i )
%UNTITLED7 Summary of this function goes here
%   Detailed explanation goes here
I = [];
for i = 1:1:(length(n_vals)-1)
    nj = n_vals(i);
    qj = sqrt(nj^2 - ni^2*sin(theta_i)^2);
    nk = n_vals(i+1);
    qk = sqrt(nk^2 - ni^2*sin(theta_i)^2);
    if strcmp(polarization,'TE')
        rjk = (qj - qk)/(qj+qk);
        tjk = 2*qj/(qj+qk);
%     elseif strcmp(polarization,'TM')
%         rjk = -(nk^2*qj - nj^2*qk)/(nk^2*qj + nj^2*qk);
%         tjk = 2*nj*nk*qj/(nk^2*qj + nj^2*qk);
    elseif strcmp(polarization,'TM')
        rjk = -(nk^2*qj - nj^2*qk)/(nk^2*qj + nj^2*qk);
        tjk = 2*nj*nk*qj/(nk^2*qj + nj^2*qk);
    else
        error('Incorrect polarization spec!');
    end
    Ijk = (1/tjk)*[1, rjk;rjk,1];
    I = [I,Ijk];
end

end
